import { Observable } from 'rxjs';
import { WacRequest } from '../WacRequest';
import { GroupDto, GroupEventDto } from './types';
export declare class GroupService {
    private wacRequest;
    readonly event$: Observable<GroupEventDto>;
    constructor(wacRequest: WacRequest);
    fetch(): Observable<GroupDto[]>;
    create(name: string, participants: string[]): Promise<GroupDto>;
    update(id: string, name: string, participants: readonly string[]): Promise<GroupDto>;
    delete(id: string): Promise<void>;
}
