import { WapiEvent } from '@quobis/wapi-client';
export declare type ResolvedUsersDto = Readonly<{
    resolved: readonly UserDto[];
    subscribed: readonly string[];
}>;
export declare type UserDto = Readonly<{
    id: string;
    domain: string;
    username: string;
    email: string;
    role: 'anonymous' | 'user';
    capabilities: readonly string[];
    mobilePhone: readonly string[];
    landLineNumber: string;
    alias: string;
    gatewayUsername: string;
}>;
export interface ResolvedUsersEvent extends WapiEvent {
    method: 'PUT';
    body: ResolvedUsersDto;
}
