import { Observable } from 'rxjs';
import { WacRequest } from './WacRequest';
export interface VoiceMailDTO {
    newMessages: number;
    totalMessages: number;
}
export declare class VoiceMailService {
    messages$: Observable<VoiceMailDTO>;
    private wacRequest;
    constructor(wacRequest: WacRequest);
    subscribe(): Promise<void>;
    unsubscribe(): Promise<void>;
}
